export interface ClientStateMachineContextType {
    isClientReady: boolean;
    setIsClientReady: (isReady: boolean) => void;
    isTranscript: boolean;
    setIsTranscript: (isTranscript: boolean) => void;
    isAudio: boolean;
    setIsAudio: (isAudio: boolean) => void;
    isMicrophone: boolean;
    setIsMicrophone: (isMicrophone: boolean) => void;
    isConversationEnded: boolean;
    setIsConversationEnded: (isConversationEnded: boolean) => void;
    isArcReady: boolean;
    setIsArcReady: (isArcReady: boolean) => void;
    isChatReady: boolean;
    setIsChatReady: (isChatReady: boolean) => void;
    isInteractible: boolean;
    setIsInteractible: (isInteractible: boolean) => void;
    playAudio: (audio: string) => void;
}
declare const ClientStateMachineContext: import('react').Context<ClientStateMachineContextType>;
export default ClientStateMachineContext;
